Skip to content

Services

All operations require authentication.

3 operationsv1/vrack · /vrack/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List vRacksProduction

GET
/v1/vrack

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/vrack \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a vRackProduction

GET
/v1/vrack/{serviceName}

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200vrackWithIAMsuccessful operation
description
string

Description of the vRack

iam
read-only
ResourceMetadata

IAM resource metadata

name
string

Name of the vRack

serviceName
read-only
string

Service name of your vRack on OVHcloud

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "name": "string", "serviceName": "string"}

Update a vRackProduction

PUT
/v1/vrack/{serviceName}

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

description
string

Description of the vRack

name
string

Name of the vRack

serviceName
read-only
string

Service name of your vRack on OVHcloud

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"